# Uses of Class
org.codehaus.janino.Java.ElementValuePair

Packages that use Java.ElementValuePair
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.ElementValuePair in org.codehaus.janino

Fields in org.codehaus.janino declared as Java.ElementValuePair
Modifier and Type
Field
Description
`final Java.ElementValuePair[]`
Java.NormalAnnotation.`elementValuePairs`
The element-value-pairs associated with this annotation.
Constructors in org.codehaus.janino with parameters of type Java.ElementValuePair
Modifier
Constructor
Description
``
`NormalAnnotation(Java.ReferenceType type, Java.ElementValuePair[] elementValuePairs)`

## Uses of Java.ElementValuePair in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.ElementValuePair
Modifier and Type
Method
Description
`Java.ElementValuePair`
DeepCopier.`copyElementValuePair(Java.ElementValuePair subject)`
`Java.ElementValuePair[]`
DeepCopier.`copyElementValuePairs(Java.ElementValuePair[] subject)`
Methods in org.codehaus.janino.util with parameters of type Java.ElementValuePair
Modifier and Type
Method
Description
`Java.ElementValuePair`
DeepCopier.`copyElementValuePair(Java.ElementValuePair subject)`
`Java.ElementValuePair[]`
DeepCopier.`copyElementValuePairs(Java.ElementValuePair[] subject)`